=== modified file 'drizzled/key.cc'
--- drizzled/key.cc	2011-02-17 00:14:13 +0000
+++ drizzled/key.cc	2011-02-18 14:44:10 +0000
@@ -64,8 +64,8 @@
 int find_ref_key(KeyInfo *key, uint32_t key_count, unsigned char *record, Field *field,
                  uint32_t *key_length, uint32_t *keypart)
 {
-  register int i;
-  register KeyInfo *key_info;
+  int i;
+  KeyInfo *key_info;
   uint32_t fieldpos;
 
   fieldpos= field->offset(record);
@@ -450,7 +450,7 @@
     if (key_part->null_bit)
     {
       /* This key part allows null values; NULL is lower than everything */
-      register bool field_is_null= key_part->field->is_null();
+      bool field_is_null= key_part->field->is_null();
       if (*key)                                 // If range key is null
       {
 	/* the range is expecting a null value */

=== modified file 'drizzled/option.cc'
--- drizzled/option.cc	2011-02-17 00:14:13 +0000
+++ drizzled/option.cc	2011-02-18 14:44:10 +0000
@@ -724,7 +724,7 @@
 2.) Returns -1 if strings differ, 0 if they are equal
    */
 
-  bool getopt_compare_strings(register const char *s, register const char *t,
+  bool getopt_compare_strings(const char *s, const char *t,
       uint32_t length)
   {
     char const *end= s + length;

=== modified file 'drizzled/sql_lex.cc'
--- drizzled/sql_lex.cc	2011-02-18 10:22:24 +0000
+++ drizzled/sql_lex.cc	2011-02-18 22:30:53 +0000
@@ -388,7 +388,7 @@
 */
 static char *get_text(Lex_input_stream *lip, int pre_skip, int post_skip)
 {
-  register unsigned char c,sep;
+  unsigned char c,sep;
   bool found_escape= false;
   const CHARSET_INFO * const cs= lip->m_session->charset();
 
@@ -665,7 +665,7 @@
 
 int lex_one_token(ParserType *yylval, drizzled::Session *session)
 {
-  register unsigned char c= 0; /* Just set to shutup GCC */
+  unsigned char c= 0; /* Just set to shutup GCC */
   bool comment_closed;
   int	tokval, result_state;
   unsigned int length;

